summaryrefslogtreecommitdiff
path: root/net-fs/ncpfs/files/ipx.init
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /net-fs/ncpfs/files/ipx.init
reinit the tree, so we can have metadata
Diffstat (limited to 'net-fs/ncpfs/files/ipx.init')
-rw-r--r--net-fs/ncpfs/files/ipx.init41
1 files changed, 41 insertions, 0 deletions
diff --git a/net-fs/ncpfs/files/ipx.init b/net-fs/ncpfs/files/ipx.init
new file mode 100644
index 000000000000..e4aa25716c5d
--- /dev/null
+++ b/net-fs/ncpfs/files/ipx.init
@@ -0,0 +1,41 @@
+#!/sbin/openrc-run
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+#NB: Config is in /etc/conf.d/ipx
+
+depend() {
+ need net netmount
+}
+
+start() {
+ local retval=0
+
+ ebegin "Bringing IPX up"
+ if [ ${IPX_INTERNAL_NET} = "yes" ]
+ then
+ /usr/bin/ipx_internal_net add ${IPX_NETNUM} ${IPX_NODENUM}
+ retval=$?
+ else
+ /usr/bin/ipx_interface add -p ${IPX_DEVICE} \
+ ${IPX_FRAME} ${IPX_NETNUM}
+ retval=$?
+ fi
+
+ /usr/bin/ipx_configure \
+ --auto_primary=${IPX_AUTO_PRIMARY} \
+ --auto_interface=${IPX_AUTO_INTERFACE}
+ retval=$(( $retval + $? ))
+ eend ${retval} "Failed to bring IPX up"
+}
+
+stop() {
+ local retval=0
+
+ ebegin "Bringing IPX down"
+ /usr/bin/ipx_configure --auto_primary=off --auto_interface=off
+ retval=$?
+ /usr/bin/ipx_interface delall
+ retval=$(( $retval + $? ))
+ eend ${retval} "Failed to down IPX"
+}